Dear Philippe,

in message <[EMAIL PROTECTED]> you wrote:
> 
> We try to find a way to wrap class_device_create properly depending on the 
> kernel 
> version Xeno is compiled against. The parent device class argument in this 
> call 
> (2nd in order) seems to show up in 2.6.15 for kernel.org, but 2.6.14-denx-git 
> has 
> it too. So we have a problem relying on the version sublevel.

I see. Well, I feel honored, but the reference in such  cases  should
always be Linus' tree (i. e. the "official" kernel.org tree). Xenomai
cannot  and  should  not  have  to be considerate of all the N vendor
kernel trees that exist out there in the wild...

And if some user should use our old 2.6.14 tree and run into problems
we can just tell him to use  current  code  -  so  no  problem  here,
either.

Please use kernel.org as reference (and  remember  that  decision  in
case other vendors should come urging you).

Best regards,

Wolfgang Denk

-- 
Software Engineering:  Embedded and Realtime Systems,  Embedded Linux
Phone: (+49)-8142-66989-10 Fax: (+49)-8142-66989-80 Email: [EMAIL PROTECTED]
"Unix is simple, but it takes a genius to understand the simplicity."
                                                     - Dennis Ritchie

_______________________________________________
Xenomai-core mailing list
Xenomai-core@gna.org
https://mail.gna.org/listinfo/xenomai-core

Reply via email to